import { ViewPlugin, ViewUpdate } from '@codemirror/view';
import { EditorState } from '@codemirror/state';
export type Suggestion = {
    complete_suggestion: string;
    display_suggestion: string;
    accept_hook?: () => void;
};
type InlineFetchFn = (state: EditorState) => AsyncGenerator<Suggestion>;
export declare const fetchSuggestion: (fetchFn: InlineFetchFn) => ViewPlugin<{
    update(update: ViewUpdate): Promise<void>;
}>;
type InlineSuggestionOptions = {
    fetchFn: (state: EditorState) => Promise<string | Suggestion>;
    delay?: number;
    continue_suggesting?: boolean;
    accept_shortcut?: string | null;
};
export declare function inlineSuggestion(options: InlineSuggestionOptions): any[];
export declare function forceableInlineSuggestion(options: InlineSuggestionOptions): {
    extension: any[];
    force_fetch: () => void;
};
export {};
